Bug Hunting Session
Bug 87685 - include ODF opening options announcement by default when sending document by e-mail
Summary: include ODF opening options announcement by default when sending document by ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Send
  Show dependency treegraph
 
Reported: 2014-12-24 19:07 UTC by Edmund Laugasson
Modified: 2018-01-17 17:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edmund Laugasson 2014-12-24 19:07:39 UTC
When choosing File->Send->Document as e-mail... there would be automatically added message to the end of e-mail:

The document attached with current e-mail needs appropriate software of internet connection. Suitable software can be downloaded freely from http://www.libreoffice.org/download/ or view directly online at http://www.viewdocsonline.com/


The idea is that the proposed feature could be configurable feature and also text should be customizable. Certainly - here proposed text could be as one example, what to put as default text. This feature should be default turned on and also customizable for silent installer, e.g. --send-email-signature=on or something.

This text should be also included into localization so if I choose any other language than English then also this text should be changed into appropriate language.

Idea came from organizations and companies who are sending a lot of PDF's and putting similar message to the end of e-mails, where they suggest download mostly Adobe Reader even this is not the only one PDF-viewer.

This feature could help to rise awareness of OpenDocument and its native editor LibreOffice. Also some people still do not know how to open OpenDocument if they do not have ODF-capable software installed.
Comment 1 Robinson Tryon (qubit) 2014-12-25 15:16:15 UTC
(In reply to Edmund Laugasson from comment #0)
> When choosing File->Send->Document as e-mail... there would be automatically
> added message to the end of e-mail:

Sounds like one for UX to advise on.

Status -> NEW
Comment 2 Adolfo Jayme 2014-12-29 04:53:34 UTC
Thanks for sharing your idea.

This is a little worrying. I can imagine other projects’ leaders roaring because of alleged “unfair competition” (as if we were competing). Also, I personally hate it when software adds advertisement to e-mails, such as the hideous “Sent from my iPad”. Let’s face it, it’s advertising.

I would leave the users’ e-mail content alone, and leave the recommendation of ODF-compatible software at their discretion.
Comment 3 Edmund Laugasson 2015-02-28 22:32:56 UTC
As I said - this feature should be optional and you can set by default turned off. But the feature itself would be nice if could be implemented. Then it will not disturb anyone and still exist as feature and could be used if decided so.
Certainly I can set up custom signature in e-mail client but why then exist such feature in LibreOffice - send document as e-mail? I can use any e-mail client and send files anyway. Already this would be competiting feature if people will send ODF-files. But I understand that this would be comfortable to send directly from office suite the file itself.
Comment 4 Edmund Laugasson 2015-05-24 04:28:09 UTC
As there is a need to spread the ODF usage then it would be definitely one of the best and easiest way to do it.

By the way - as written before - companies are already doing it by advertising Adobe Reader in a very massive way.

Why then not advertise ODF in similar massive way? As I wrote - this should be configurable and any time is possible to turn off.

I would also propose to even have silent installation switch to turn this feature on or off.

Also when the LibreOffice Online comes then there would be good to announce that you could view the sent ODF file also online.

Also the good point would be that even LibreOffice can show the PDF-files and not only show but also edit! Wouldn't it be good argument to advertise?
So the all in one solution for offices - view ODF and even view+edit PDF using LibreOffice!
Comment 5 V Stuart Foote 2015-05-24 14:04:18 UTC
Like Adolfo, I also feel this is would be perceived as little more than advertising. If implemented--its default state should be OFF.

As to ODF online--given the less than stellar online user experience of MS Office 365 (despite their massive backend infrastructure)--we are a long way from encouraging folks to use a cloud based flavor of LibreOffice for their document editing. Anything this premature would be rather negative experience and not something we want to promote on a regular basis.

By the way--LibreOffice is not an editor for PDF. We filter import the content of PDFs (by default into Draw) amd work with it natively, and then save to ODF by default. We can then export filter back to a new PDF document--but the original PDF is untouched unless overwritten.  So, not a PDF editor.
Comment 6 Edmund Laugasson 2015-05-24 15:25:32 UTC
I would not say advertising but just informing. If you send a file then it would be nice to say also what program to use and where to get. Being humble would be good but until certain moment. At some point there would be needed to say about your existance and let people know that there is also one more and completely free office suite which also exist and can do the tasks people expect the office suite will do. So, being shy would not be always beneficial and gives to people also signal that it might be not worth of use etc.

Let this cloud based LibreOffice be - currently it is not yet available either.

The main question is that raise awareness of ODF fileformat and nothing more. Also give the right tool to open/edit ODF. MS Office would be not the tool you probably would suggest - so why not suggest the right program for that?

Even as the UK government has succeeded to enforce Microsoft to support ODF (http://www.itproportal.com/2015/03/30/microsoft-will-adopt-open-document-standards-following-government-battle/) - this will happen in MSO 2013 and MSO 365 but not earlier. Therefore it would be useful to give people working software, which will open ODF properly. We also do not know whether the ODF support will be deployed into MSO and when people will update their MSO programs.

Yes I know that LibreOffice will not edit the opened PDF directly but save .odg in Draw and then it would be possible to export into PDF. I just made shortcut in description and usually will overwrite old PDF with new one. But still there is possible to open PDF's using LibreOffice and import them even into editable shape.

And by the way - I proposed to put it not default turned on and then everyone can decide whether to turn it on or not. But at least the feature would be then exist and possible to turn on if needed.

You may even also leave it empty and not write anything. Each native language would have anyway its own message if at all. So - there would be much easier just leave it empty and everyone can turn the feature on and add whatever she/he would like to.

You may call it also signature like most e-mail programs offer. Then just everyone can write whatever they want to see in the end of each e-mail. Would it be possible? Just create the functionality to add signature to the e-mail which will be sent from LibreOffice. Also this would be turned off by default but if anyone would like to add anything as signature then it would be possible. That's it.
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:26:50 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-08-10 15:10:40 UTC
We talked about this idea in the design meeting. Following the comments we recommend to refrain from this additional text as it is considered as spam.
Comment 9 Edmund Laugasson 2017-08-10 18:18:49 UTC
Would it be possible to add such configuration field into LibreOffice settings so who wants, could customize such setting? This could be turned off by default and there could be an example text which could be in translation so this example text would be available in those languages like LibreOffice. But if the example text is too much for now then just enabling such setting with empty box would be also very good.

To be honest then this is definitely not a spam as the idea came from organizations and companies who are sending a lot of PDF's and putting similar message to the end of e-mails, where they suggest download mostly Adobe Reader even this is not the only one PDF-viewer. So if already companies are sending and this is not considered as spam then suggesting LibreOffice as ODF program is defnitely not a spam. Why Adobe is better and may be advertised and TDF with its LibreOffice may not?
Comment 10 Heiko Tietze 2017-08-10 19:56:39 UTC
Comments are clear, and there is not much agreement to a fully implemented solution in this thread. But you can surely do such a automatic disclaimer with a macro. That would be be a really cool extension.
Comment 11 Edmund Laugasson 2017-08-10 23:51:46 UTC
(In reply to Heiko Tietze from comment #10)
> Comments are clear, and there is not much agreement to a fully implemented
> solution in this thread. But you can surely do such a automatic disclaimer
> with a macro. That would be be a really cool extension.

Do not have programming skills. Does not much matter whether it will be a macro or just one setting - it would be beneficial feature especially for LibreOffice community. Why companies may advertise Adobe and send spam (if you call it so) and actually same companies (and any other people as well) using TDF's LibreOffice may not?

This would help people understand, that ODF files are not just weird files that do not open and to avoid using MS Office (MSO) opening ODF and then make people guess that ODF does not work well while MSO does not show ODF properly. If people just would know and use proper software for ODF like LibreOffice then it would be good awareness raising opportunity also for TDF.
Comment 12 Kenneth Hanson 2017-08-11 09:40:48 UTC
I'd like to suggest a less controversial and more flexible alternative to the current request.

Perhaps it would be good to have a dialog where the user can create simple email templates, for example just a text/HTML subject and body, and select one to use when sending documents (either preset or at send time).

I have never used LO (or MSO) to email documents, but I suspect such a feature would take care of the current use case as well as many others, while being still being easy to understand and use. It might also easier on development since the template text need not be baked into LO.

I can imagine several ways this might be designed. I can open a new bug later.
Comment 13 Heiko Tietze 2017-08-11 09:48:47 UTC
Sending per email opens the default mail program with the document as attachment (not only as odt but also docx is possible). Why should we fill message body of the email client? Isn't it rather a task for this program?
Comment 14 Edmund Laugasson 2017-08-11 10:44:08 UTC
(In reply to Heiko Tietze from comment #13)
> Sending per email opens the default mail program with the document as
> attachment (not only as odt but also docx is possible). Why should we fill
> message body of the email client? Isn't it rather a task for this program?

That's true that in next of ODF also other formats are possible. But as LibreOffice is completely free office suite that everyone can download and use right away just like Adobe Reader or similar (which are widely advertised and spammed in every e-mail that contain a .pdf file) and hopefully we would a bit raise awareness of its existance and capabilities - it would be nice to have an opportunity not spam people but just mention shortly that such wonderful + completely free and open-source office suite like LibreOffice exist and is capable to open not only ODF but also other files, including hybrid-PDF documents (which I am pretty sure, lots of people just do not know).

Certainly such information into e-mail can be added also without that feature directly in LibreOffice but it would be just nice to use already known way to help people by deciding which program to use to open sent file as already have been used in case of .pdf files while almost all senders suggest to use Adobe Reader. Especially while LibreOffice is as freely downloadable as Adobe Reader, actually even more as Adobe Reader is not open-source but certainly most people do not care about open source-code but being free of charge (hopefully forever).
Comment 15 Kenneth Hanson 2017-08-11 23:17:56 UTC
(In reply to Heiko Tietze from comment #13)
> Sending per email opens the default mail program with the document as
> attachment (not only as odt but also docx is possible). Why should we fill
> message body of the email client? Isn't it rather a task for this program?

The OP has an example of a use case where the same sort of message is meant to be repeatedly emailed, and that message is logically tied to the action of sending a file from LO.

The closest comparison I can think of off the top of my head is how Git opens your editor with some pre-filled content when you use the "commit" command. (Insert your own example here if you have a better one.)

Another use case would be to create a simple template communicating that you are sending a file, where it would be great to be able to press "send" immediately after the email client opens. For example:
From: YOUR_EMAIL
Subject: FILENAME.EXT
Body: YOUR_NAME has sent the file FILENAME.EXE, attached to this message.

The current content is too bare-bones, and different people might want this formatted differently.

I don't use a desktop email client, so I don't know what they are capable of. Perhaps they are smart enough to fill these kinds of templates on these kinds of triggers (being opened with an attachment from an external program). But I sort of doubt it.

Given that LO has the ability to send mail, I think it's worthwhile to make this feature as useful as possible.
Comment 16 Edmund Laugasson 2017-08-11 23:53:40 UTC
(In reply to Kenneth Hanson from comment #15)
> The current content is too bare-bones, and different people might want this
> formatted differently.

That's true and therefore I would propose to leave the field empty but at least the opportunity could exist. Certainly it would be nice if there could be possible to enter text or include it from file like most e-mail clients allow to do with signature. Also formatting with HTML or any other markup language are usually supported by e-mail clients. But even plain text would be great to include automatically.
Comment 17 Yousuf Philips (jay) (retired) 2017-09-05 06:52:35 UTC
Like Adolfo and Stuart, this is a -1 in my view as LO is simply forwarding the open document to the user's email client so that it can be used in a new mail that will be sent. Anything more than this is beyond what LO should provide IMHO and the user should look for a solution provided by their email client.
Comment 18 Mike Kaganski 2018-01-16 11:46:36 UTC
-1
Comment 19 Xisco Faulí 2018-01-17 17:12:33 UTC
Putting it back to RESOLVED WONTFIX